import req from "@/request.js";

const portal = window.context.portal;
export default {
    // 新增
    addSave(data,cb) {
        req.post(portal + `/att/bas/base/create`,data).then(rep => {
            cb(rep.data);
        });
    },
    //字典
    getSys(data,cb) {
        req.post(portal + `/sys/sysDictionary/v1/queryDictItemsByCode`,data).then(rep => {
            cb(rep.data);
        });
    },
    //查看常用语详情
    detail(id,cb) {
        req.get(portal + `/innermsg/messageReceiver/v1/get?id=`+id).then(rep => {
            cb(rep.data);
        });
    },
    // 分页
    ListGet(data,cb) {
        req.post(portal + `/att/bas/base/query`,data).then(rep => {
            cb(rep.data);
        });
    },
    // 修改
    detailId(id,cb) {
        req.get(portal + `/att/bas/base/get/`+id).then(rep => {
            cb(rep.data);
        });
    },
    // 确认修改
    upData(data,cb) {
        req.post(portal + `/att/bas/base/updateById`,data).then(rep => {
            cb(rep.data);
        });
    },
    //删除
    remove(ids,cb) {
        req.get(portal + `/att/bas/base/deleteByIds?ids=`+ids).then(rep => {
            cb(rep.data);
        });
    },
    // 行政区查询接口
    getbasAdName(data,cb) {
        req.post(portal + `/sys/sysAreas/v1/tree`,data).then(rep => {
            cb(rep.data);
        });
    },
    // mark(ids,cb) {
    //     req.get(portal + `/innermsg/messageReceiver/v1/mark?ids=`+ids).then(rep => {
    //         cb(rep.data);
    //     });
    // }
}